#ifndef _BITMAP_H
#define _BITMAP_H

#include "types.h"

class Bitmap
{
    public:	

    Bitmap()
    {
        data[0] = data[1] = 0;	    
    }
    
    void clear();
    void set(int n);
    void clear(int n);
    int is_set(int n) const;
    int is_clear()const
    {
//	return ((data[0] & data[1])==0); Microsoft compiler flubs this
        return (data[0] == 0 && data[1] == 0);
    }
    void and( const Bitmap &src, Bitmap &dest) const;

    private:
    int32 data[2];
};
#endif
